cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry

## Class ORX_O43

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.ORX_O43

-     public final class ORX_O43
      extends Message

  ORX_O43 - General Order Message with Document Payload Acknowledgement Message (Event O43). The function of this message is to respond to an OPL message. An ORX message is the application acknowledgment to an OPL message.

  Represents a ORX_O43 message structure (see chapter 4.4.11 ) This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: MSA (Message Acknowledgment Segment) SINGLE_COMPULSARY
  2: ERR (Error Segment) MULTIPLE_OPTIONAL
  3: SFT (Software Segment Segment) MULTIPLE_OPTIONAL
  4: UAC (User Authentication Credential) SINGLE_OPTIONAL
  5: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  6: RESPONSE (RESPONSE a Group in ORX_O43 message) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.5 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.5 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  ORX_O43 objO43 = (ORX_O43)MessageFactory.createInstance().createSendSupportedMessage("ORX", "O43");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addErrorSegment(ERR objERR)` Adds Error Segment(ERR) to this message.
    `void` | `addErrorSegments(ISingleCollection<ERR> objERRSegmentCollection)` Adds collection of Error Segment(ERR) to this message.
    `void` | `addNotesAndCommentsSegment(ISingleCollection<NTE> objNTESegmentCollection)` Adds collection of Notes and Comments Segment(NTE) to this message.
    `void` | `addNotesAndCommentsSegment(NTE objNTE)` Adds Notes and Comments Segment(NTE) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<ERR>` | `getErrorSegments()` Retrieves Collection of Error Segments(ERR) present in this message.
    `MSA` | `getMessageAcknowledgmentSegment()` Retrieves Message Acknowledgment(MSA) segment present in this message
    `ISingleCollection<NTE>` | `getNotesAndCommentsSegments()` Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
    `IGroup` | `getResponseGroup()` Retrieves RESPONSE Group present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `boolean` | `isResponse()` Veifies whether message is Response.
    `void` | `setMessageAcknowledgmentSegment(MSA objMSA)` Sets value of Message Acknowledgment segment for this message,overwrites if already present.
    `void` | `setResponseGroup(IGroup objGroup)` Sets value of RESPONSE Group for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isResponse

          public boolean isResponse()

      Veifies whether message is Response.
      Overrides:
        `isResponse` in class `Message`
      Returns:
        boolean

    - #### getMessageAcknowledgmentSegment

          public MSA getMessageAcknowledgmentSegment()

      Retrieves Message Acknowledgment(MSA) segment present in this message
      Returns:
        MSA - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMessageAcknowledgmentSegment

          public void setMessageAcknowledgmentSegment(MSA objMSA)

      Sets value of Message Acknowledgment segment for this message,overwrites if already present.
      Parameters:
        `objMSA` - Specified Message Acknowledgment Segment

    - #### getErrorSegments

          public ISingleCollection<ERR> getErrorSegments()

      Retrieves Collection of Error Segments(ERR) present in this message.
      Returns:
        ISingleCollection - Collection of Error Segments(ERR) present in this message.

    - #### addErrorSegment

          public void addErrorSegment(ERR objERR)

      Adds Error Segment(ERR) to this message.
      Parameters:
        `objERR` - Specified Error Segment(ERR)to this message.

    - #### addErrorSegments

          public void addErrorSegments(ISingleCollection<ERR> objERRSegmentCollection)

      Adds collection of Error Segment(ERR) to this message.
      Parameters:
        `objERRSegmentCollection` - Collection of Software Segments to add in this message

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getNotesAndCommentsSegments

          public ISingleCollection<NTE> getNotesAndCommentsSegments()

      Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
      Returns:
        ISingleCollection - Collection of Notes and Comments Segments(NTE) present in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(NTE objNTE)

      Adds Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTE` - Specified Notes and Comments Segment(NTE)to add in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(ISingleCollection<NTE> objNTESegmentCollection)

      Adds collection of Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTESegmentCollection` - Collection of Notes and Comments Segments to add in this message

    - #### getResponseGroup

          public IGroup getResponseGroup()

      Retrieves RESPONSE Group present in this message.
      Returns:
        Group - RESPONSE Group present in this message.

    - #### setResponseGroup

          public void setResponseGroup(IGroup objGroup)

      Sets value of RESPONSE Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified RESPONSE Group